Full Django support on the GAE, 1.2.3?

Gosh... It looks like I have a lot of porting to do.

Google just released the 1.2.3 version of the App Engine which includes full support for Django 1.0.2. What this means is that I can now ditch the Google App Engine Patch (a collection of hacks to get Django running on the G.A.E) for one of my current sites, www.aboutaplace.com.

I am extremely excited to test this out.

Btw, the Google Maps version 3 is completely amazing. I've recently developed tools for it on www.signonsandiego.com and www.aboutaplace.com.

  1. gravatar

    # by Simon - August 14, 2009 at 2:12 AM

    This wasn't quite true was it, or am I missing something? (You still need app-engine-patch don't you?)


  2. gravatar

    # by Donnie Demuth - August 14, 2009 at 4:42 AM

    You don't need the patch to use Django on the app-engine. However, you will need to install django locally in order to use it.

  3. gravatar

    # by Donnie Demuth - August 14, 2009 at 4:43 AM

    But yes, you are correct also. The django that is ported with the app-engine does not support all of typical django features.